Subject: Re: [PATCH 1/2] revision: add rdiff_other_arg to rev_info

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 23 Sep 2025 19:47:52 +0200

On Tue, Sep 23, 2025, at 19:35, Junio C Hamano wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
>
>> On Mon, Sep 22, 2025, at 23:58, Junio C Hamano wrote:
>>> [email-masked] writes:
>>>
>>>> git-format-patch(1) is supposed to treat Git notes the same between
>>>> notes output beneath the commit message and the notes output for the
>>>> range-diff.
>>>
>>> Is this an opinion, or are there things that existing pieces of code
>>> already do to achieve such a behaviour already?
>>
>> What I mean is that
>> [snip]
>> That’s the point of passing `--notes` to range-diff.
>
> OK.  So it is more like "range-diff is supposed to show comparison
> of pairs of patches; if format-patch shows one set of notes after
> three-dash lines in its output, range-diff invoked by format-patch
> to compare its patches with another set of patches should also be
> comparing patches generated with the same set of notes".  That makes
> sense to me.

Exactly.

I might eventually send some drafts of better commit messages.

>> Thanks for the explanation.  I’ve added `.rdiff_other_arg = STRVEC_INIT
>> \` to `REV_INFO_INIT`.
>
> Yup, I think I already have a fix-up patch mixed in your series in
> the integration result I pushed out last night.

Oh yeah I saw that afterwards.  Which made me spot a mistake in my own
fixup... which was instructive. ;)

>> Could it be as simple as `log_arg` or `log_args`?
>
> Yeah, that is much better than "other" (where it is unclear what are
> the "primary" things that "others" are in contrast).

I remember looking at the code and having that realization: Oh, *other*
is *log*.  Huh.

... Maybe specifically `log_args` since it’s a `strvec`?  `git grep
'struct strvec'` seems to give me a lot of plural (style).